Debian Bug report logs - #648954
perl: add Breaks on doc-base with fix for #648937

version graph

Package: perl; Maintainer for perl is Niko Tyni <ntyni@debian.org>; Source for perl is src:perl.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Wed, 16 Nov 2011 11:12:01 UTC

Severity: serious

Found in version perl/5.14.2-4

Fixed in version perl/5.14.2-5

Done: Niko Tyni <ntyni@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#648954; Package perl. (Wed, 16 Nov 2011 11:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Niko Tyni <ntyni@debian.org>. (Wed, 16 Nov 2011 11:12:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Raphael Hertzog <hertzog@debian.org>, 648937@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: perl: add Breaks on doc-base with fix for #648937
Date: Wed, 16 Nov 2011 11:08:00 +0000
Package: perl
Version: 5.14.2-4
Severity: serious

On Wed, Nov 16, 2011 at 10:57:24AM +0100, Raphael Hertzog wrote:

> This is not a bug in liblocale-gettext-perl. It bites use every time
> that we upgrade to a perl version with an incompatible ABI.
>
> See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=479681 for more
> explanation. I just filed the bug against doc-base because one should
> not rely on Locale::gettext in maintainer scripts if we want those
> maintainer scripts to work during upgrades...
> 
> Looking further the maintainer already did the right thing (that's why
> liblocale-gettext-perl is also not listed in the Depends field of
> doc-base) except it needs the environment variable to disable lazy bind,
> otherwise the error is not caught at load time but triggered at run-time.

Thanks. I'm filing this new bug against perl so that we can add a Breaks
against doc-base when #648937 is fixed.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Added blocking bug(s) of 648954: 648936 and 648937 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Wed, 16 Nov 2011 11:15:03 GMT) Full text and rfc822 format available.

Added indication that bug 648954 blocks 637809 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Thu, 17 Nov 2011 10:24:40 GMT) Full text and rfc822 format available.

Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Fri, 18 Nov 2011 09:51:14 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Fri, 18 Nov 2011 09:51:31 GMT) Full text and rfc822 format available.

Message #14 received at 648954-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 648954-close@bugs.debian.org
Subject: Bug#648954: fixed in perl 5.14.2-5
Date: Fri, 18 Nov 2011 09:48:05 +0000
Source: perl
Source-Version: 5.14.2-5

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive:

libcgi-fast-perl_5.14.2-5_all.deb
  to main/p/perl/libcgi-fast-perl_5.14.2-5_all.deb
libperl-dev_5.14.2-5_i386.deb
  to main/p/perl/libperl-dev_5.14.2-5_i386.deb
libperl5.14_5.14.2-5_i386.deb
  to main/p/perl/libperl5.14_5.14.2-5_i386.deb
perl-base_5.14.2-5_i386.deb
  to main/p/perl/perl-base_5.14.2-5_i386.deb
perl-debug_5.14.2-5_i386.deb
  to main/p/perl/perl-debug_5.14.2-5_i386.deb
perl-doc_5.14.2-5_all.deb
  to main/p/perl/perl-doc_5.14.2-5_all.deb
perl-modules_5.14.2-5_all.deb
  to main/p/perl/perl-modules_5.14.2-5_all.deb
perl_5.14.2-5.debian.tar.gz
  to main/p/perl/perl_5.14.2-5.debian.tar.gz
perl_5.14.2-5.dsc
  to main/p/perl/perl_5.14.2-5.dsc
perl_5.14.2-5_i386.deb
  to main/p/perl/perl_5.14.2-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 648954@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 17 Nov 2011 23:29:20 +0000
Source: perl
Binary: perl-base libcgi-fast-perl perl-doc perl-modules perl-debug libperl5.14 libperl-dev perl
Architecture: source all i386
Version: 5.14.2-5
Distribution: unstable
Urgency: low
Maintainer: Niko Tyni <ntyni@debian.org>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 libcgi-fast-perl - CGI::Fast Perl module
 libperl-dev - Perl library: development files
 libperl5.14 - shared Perl library
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-base  - minimal Perl system
 perl-debug - debug-enabled Perl interpreter
 perl-doc   - Perl documentation
 perl-modules - Core Perl modules
Closes: 648954
Changes: 
 perl (5.14.2-5) unstable; urgency=low
 .
   * Update versioned Breaks for dual-lived modules with updates in
     5.14.2 (libmodule-corelist-perl, libencode-perl)
   * Update versioned Breaks for doc-base to << 0.10.3; this version
     improves the resilience of the postinst during a major perl upgrade
     (Closes: #648954)
Checksums-Sha1: 
 a509dcc4f9dc40bf046e682239ea22389719652e 1680 perl_5.14.2-5.dsc
 d1528bfbe7afc29bbbaf1b78b3eee24c6f55f1f5 123230 perl_5.14.2-5.debian.tar.gz
 28ecba94ba0f43863185b08f67f83c00b84262de 72010 libcgi-fast-perl_5.14.2-5_all.deb
 16fbe399ea282e6c573d26ab5c3da234a498b137 8160780 perl-doc_5.14.2-5_all.deb
 92ef89550d6a7e1d44c4a8bb7aa0889ace4abe12 3437902 perl-modules_5.14.2-5_all.deb
 f416fc0f8bc5755ec70486f07deac5188cfa4148 1481884 perl-base_5.14.2-5_i386.deb
 00f83baf79b482bc3c29686d0fd573296bce7c82 7757598 perl-debug_5.14.2-5_i386.deb
 fb715dad3d23a17696425df4788eb59021822025 724410 libperl5.14_5.14.2-5_i386.deb
 1e6ab82dff022cd6a13c5fd8c6c22c22133ff0e7 2679320 libperl-dev_5.14.2-5_i386.deb
 21f16f2e292d8cad8e0c7291b919659d222b8d0b 3697346 perl_5.14.2-5_i386.deb
Checksums-Sha256: 
 884fd5825a77611089bd77a849bb68222535786a1692aa66081e9dcdb97b6417 1680 perl_5.14.2-5.dsc
 59a5822c9dbe811e4d330aed96f02cd649d2f0be1293bb452ab2b44bdc9ae602 123230 perl_5.14.2-5.debian.tar.gz
 1cc90c60f9d54ea5a2187ab862a38a974d9f47b1e6fd8970cde776b89a3666bf 72010 libcgi-fast-perl_5.14.2-5_all.deb
 54a9037328fed59cf38f54dc80c4bd9cbc7c328eb61f0a3879dfbcecdade6110 8160780 perl-doc_5.14.2-5_all.deb
 84181d450fb71b7624e57571a1bbb81f71e6403835ff2033d728c398d68c3670 3437902 perl-modules_5.14.2-5_all.deb
 002cc10e98151c5a5084786f74b462fd3ddc673c3962d7d39c5aad8458785d46 1481884 perl-base_5.14.2-5_i386.deb
 cbefae4e1fdb102bc07ad854047589aff5715f6214f23e155ec336b1cae44c84 7757598 perl-debug_5.14.2-5_i386.deb
 5ef29e25e91119611b193738343f40fc21051835f23adb00885a410872c23136 724410 libperl5.14_5.14.2-5_i386.deb
 5aa0028014e561d75e205419bfebae7db778e7ceb73e2112a99934e5ec92ea55 2679320 libperl-dev_5.14.2-5_i386.deb
 dece7fa298bb1a65a2319c2149a32bb2211b8c6a613d3b8858e035d1847c0b29 3697346 perl_5.14.2-5_i386.deb
Files: 
 ad04ad91521ccb1c48e028c08928167a 1680 perl standard perl_5.14.2-5.dsc
 b9c7ab4de3c47a0c66c4302f35f69444 123230 perl standard perl_5.14.2-5.debian.tar.gz
 b36b419e1c9789b1fd43894416148d67 72010 perl optional libcgi-fast-perl_5.14.2-5_all.deb
 ab1e250a3e9aa23461ce6c6b650e0c82 8160780 doc optional perl-doc_5.14.2-5_all.deb
 019e63018610ae6d25a1efdec9c5d1f0 3437902 perl standard perl-modules_5.14.2-5_all.deb
 0a8f4efb3ec2fa9260d63b1b3e328552 1481884 perl required perl-base_5.14.2-5_i386.deb
 de1d6c5f815485093962c88de2b74c37 7757598 debug extra perl-debug_5.14.2-5_i386.deb
 9c4ea660d3892f2437f79c99e22e7610 724410 libs optional libperl5.14_5.14.2-5_i386.deb
 b0e64930e0a301dfc8c2c43b1e6afd5c 2679320 libdevel optional libperl-dev_5.14.2-5_i386.deb
 441724d218cad25e0d554b5f3049e3c2 3697346 perl standard perl_5.14.2-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOxiLJYzuFKFF44qURAhO8AKDw/AEcUHiXQ5y58Bm831RNWZpM5ACfWS+x
C+MXgnDgwwvZyxtSA5gB95E=
=QybD
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#648954; Package perl. (Fri, 16 Dec 2011 11:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <martin.pitt@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Fri, 16 Dec 2011 11:39:09 GMT) Full text and rfc822 format available.

Message #19 received at 648954@bugs.debian.org (full text, mbox):

From: Martin Pitt <martin.pitt@ubuntu.com>
To: 648954@bugs.debian.org
Subject: [patch] doc-base Conflicts are insufficient
Date: Fri, 16 Dec 2011 12:35:49 +0100
[Message part 1 (text/plain, inline)]
found 648954 5.14.2-6
tag 648954 patch
thanks

Hello Niko, Dominic,

we still got quite a lot of upgrade failures with -6
(https://launchpad.net/bugs/902553).

-6 adds a Conflicts: doc-base (<< 0.10.3) to perl-base. This correctly
prevents unpacking of perl-base 5.14 and breaking the doc-base
trigger. However, in above LP bug we see

Preparing to replace libuuid-perl 0.02-4build1 (using .../libuuid-perl_0.02-4build2_i386.deb) ...
Unpacking replacement libuuid-perl ...
Preparing to replace update-inetd 4.38+nmu1 (using .../update-inetd_4.41_all.deb) ...
Unpacking replacement update-inetd ...
Preparing to replace perl-modules 5.12.4-4 (using .../perl-modules_5.14.2-6_all.deb) ...
Unpacking replacement perl-modules ...
Preparing to replace perl 5.12.4-4 (using .../perl_5.14.2-6_i386.deb) ...
Unpacking replacement perl ...
Selecting previously deselected package libperl5.14.
Unpacking libperl5.14 (from .../libperl5.14_5.14.2-6_i386.deb) ...
[...]
Unpacking replacement libpurple0 ...
[...]
Processing triggers for doc-base ...
/usr/bin/perl: symbol lookup error: /usr/lib/perl5/auto/UUID/UUID.so: undefined symbol: Perl_xs_apiversion_bootcheck
dpkg: error processing doc-base (--unpack):
 subprocess installed post-installation script returned error exit status 127

At this point neither doc-base nor perl-base was unpacked (which is
what -5 and -6 fixed). Full logs are in the LP bug and its duplicates,
but above is the gist of it.

So we need to Conflicts: harder. Patch attached.

Thanks for considering,

Martin

-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)
[perl.doc-base-conflicts.debdiff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Bug Marked as found in versions perl/5.14.2-6 and reopened. Request was from Martin Pitt <martin.pitt@ubuntu.com> to control@bugs.debian.org. (Fri, 16 Dec 2011 11:39:16 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Martin Pitt <martin.pitt@ubuntu.com> to control@bugs.debian.org. (Fri, 16 Dec 2011 11:39:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#648954; Package perl. (Fri, 16 Dec 2011 14:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. (Fri, 16 Dec 2011 14:36:03 GMT) Full text and rfc822 format available.

Message #28 received at 648954@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Martin Pitt <martin.pitt@ubuntu.com>, 648954@bugs.debian.org
Cc: libuuid-perl@packages.debian.org
Subject: Re: Bug#648954: [patch] doc-base Conflicts are insufficient
Date: Fri, 16 Dec 2011 16:31:51 +0200
On Fri, Dec 16, 2011 at 12:35:49PM +0100, Martin Pitt wrote:

> we still got quite a lot of upgrade failures with -6
> (https://launchpad.net/bugs/902553).
> 
> -6 adds a Conflicts: doc-base (<< 0.10.3) to perl-base. This correctly
> prevents unpacking of perl-base 5.14 and breaking the doc-base
> trigger. However, in above LP bug we see

> Processing triggers for doc-base ...
> /usr/bin/perl: symbol lookup error: /usr/lib/perl5/auto/UUID/UUID.so: undefined symbol: Perl_xs_apiversion_bootcheck
> dpkg: error processing doc-base (--unpack):
>  subprocess installed post-installation script returned error exit status 127
> 
> At this point neither doc-base nor perl-base was unpacked (which is
> what -5 and -6 fixed). Full logs are in the LP bug and its duplicates,
> but above is the gist of it.

> debian/control: Add doc-base conflict also to perl, perl-modules, and
>                 libperl5.14.

I don't think that guarantees a fix? The above error happens when
libuuid-perl is upgraded before perl-base and doc-base. The perl and
perl-modules packages don't necessarily come into it at all. This can
be reproduced in a minimal squeeze chroot with just

 apt-get install doc-base libyaml-tiny-perl
 dpkg -i doc-base_0.10.2_all.deb # from snapshot.debian.org or Ubuntu Oneiric
 dpkg --unpack libuuid-perl_0.02-4+b2_amd64.deb # the 5.14 build from wheezy/sid
 dpkg --unpack recode-doc_3.6-17_all.deb # or anything with data in /usr/share/doc-base

No conflicts in perl-modules and perl can definitely prevent that,
althought it's possible that they would make higher level package managers
pick the right upgrade order as a side effect.

As a matter of fact, unpacking the 5.14 versions of perl and perl-modules
alone doesn't break the trigger because the incompatible binary Perl
modules are in a versioned path (/usr/lib/perl/5.1*).

It therefore seems to me that this should to be "fixed" in libuuid-perl
rather than in perl. Fortunately it looks like that's the only XS module
affected: tracing an 'install-docs --install-all' run shows it only uses
Locale::Gettext and UUID from /usr/lib/perl5, and liblocale-gettext-perl
already Pre-Depends: perl-base (>= 5.14.2-3) so it can't be upgraded
before perl-base.

BTW, I don't think this qualifies as release critical for Debian, as the
problematic trigger was only introduced in doc-base 0.10.0, and squeeze
has 0.9.5.

I'm not sure if the "right" change for libuuid-perl is a conflict or a
pre-dependency, and I'm not quite sure it even needs to go in Debian
(as opposed to being a Ubuntu specific fix.) Will need to think about
that a bit.

Cc'ing the libuuid-perl maintainers. If others agree with the above
analysis, this should probably be cloned there and the original perl
bug should be closed again.
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#648954; Package perl. (Sun, 18 Dec 2011 18:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Sun, 18 Dec 2011 18:06:07 GMT) Full text and rfc822 format available.

Message #33 received at 648954@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Niko Tyni <ntyni@debian.org>, 648954@bugs.debian.org
Cc: Martin Pitt <martin.pitt@ubuntu.com>, libuuid-perl@packages.debian.org
Subject: Re: Bug#648954: [patch] doc-base Conflicts are insufficient
Date: Sun, 18 Dec 2011 18:03:00 +0000
On Fri, Dec 16, 2011 at 04:31:51PM +0200, Niko Tyni wrote:
> On Fri, Dec 16, 2011 at 12:35:49PM +0100, Martin Pitt wrote:
> 
> > we still got quite a lot of upgrade failures with -6
> > (https://launchpad.net/bugs/902553).
> > 
> > -6 adds a Conflicts: doc-base (<< 0.10.3) to perl-base. This correctly
> > prevents unpacking of perl-base 5.14 and breaking the doc-base
> > trigger. However, in above LP bug we see
> 
> > Processing triggers for doc-base ...
> > /usr/bin/perl: symbol lookup error: /usr/lib/perl5/auto/UUID/UUID.so: undefined symbol: Perl_xs_apiversion_bootcheck
> > dpkg: error processing doc-base (--unpack):
> >  subprocess installed post-installation script returned error exit status 127
> > 
> > At this point neither doc-base nor perl-base was unpacked (which is
> > what -5 and -6 fixed). Full logs are in the LP bug and its duplicates,
> > but above is the gist of it.
> 
> > debian/control: Add doc-base conflict also to perl, perl-modules, and
> >                 libperl5.14.
> 
> I don't think that guarantees a fix? The above error happens when
> libuuid-perl is upgraded before perl-base and doc-base. The perl and
> perl-modules packages don't necessarily come into it at all. This can
> be reproduced in a minimal squeeze chroot with just
> 
>  apt-get install doc-base libyaml-tiny-perl
>  dpkg -i doc-base_0.10.2_all.deb # from snapshot.debian.org or Ubuntu Oneiric
>  dpkg --unpack libuuid-perl_0.02-4+b2_amd64.deb # the 5.14 build from wheezy/sid
>  dpkg --unpack recode-doc_3.6-17_all.deb # or anything with data in /usr/share/doc-base
> 
> No conflicts in perl-modules and perl can definitely prevent that,
> althought it's possible that they would make higher level package managers
> pick the right upgrade order as a side effect.
> 
> As a matter of fact, unpacking the 5.14 versions of perl and perl-modules
> alone doesn't break the trigger because the incompatible binary Perl
> modules are in a versioned path (/usr/lib/perl/5.1*).
> 
> It therefore seems to me that this should to be "fixed" in libuuid-perl
> rather than in perl. Fortunately it looks like that's the only XS module
> affected: tracing an 'install-docs --install-all' run shows it only uses
> Locale::Gettext and UUID from /usr/lib/perl5, and liblocale-gettext-perl
> already Pre-Depends: perl-base (>= 5.14.2-3) so it can't be upgraded
> before perl-base.
> 
> BTW, I don't think this qualifies as release critical for Debian, as the
> problematic trigger was only introduced in doc-base 0.10.0, and squeeze
> has 0.9.5.
> 
> I'm not sure if the "right" change for libuuid-perl is a conflict or a
> pre-dependency, and I'm not quite sure it even needs to go in Debian
> (as opposed to being a Ubuntu specific fix.) Will need to think about
> that a bit.
> 
> Cc'ing the libuuid-perl maintainers. If others agree with the above
> analysis, this should probably be cloned there and the original perl
> bug should be closed again.

This seems sane to me.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#648954; Package perl. (Mon, 19 Dec 2011 14:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. (Mon, 19 Dec 2011 14:42:03 GMT) Full text and rfc822 format available.

Message #38 received at 648954@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Dominic Hargreaves <dom@earth.li>
Cc: 648954@bugs.debian.org, Martin Pitt <martin.pitt@ubuntu.com>, libuuid-perl@packages.debian.org
Subject: Re: Bug#648954: [patch] doc-base Conflicts are insufficient
Date: Mon, 19 Dec 2011 16:39:29 +0200
tag 648954 - patch
clone 648954 -1
retitle -1 libuuid-perl: conflict with older doc-base versions to fix upgrade problems
reassign -1 libuuid-perl 0.02-4
severity -1 normal
notfound 648954  5.14.2-6
close 648954
thanks

On Sun, Dec 18, 2011 at 06:03:00PM +0000, Dominic Hargreaves wrote:
> On Fri, Dec 16, 2011 at 04:31:51PM +0200, Niko Tyni wrote:
> > On Fri, Dec 16, 2011 at 12:35:49PM +0100, Martin Pitt wrote:

> > > Processing triggers for doc-base ...
> > > /usr/bin/perl: symbol lookup error: /usr/lib/perl5/auto/UUID/UUID.so: undefined symbol: Perl_xs_apiversion_bootcheck
> > > dpkg: error processing doc-base (--unpack):
> > >  subprocess installed post-installation script returned error exit status 127

> > It therefore seems to me that this should to be "fixed" in libuuid-perl
> > rather than in perl. 

> > BTW, I don't think this qualifies as release critical for Debian, as the
> > problematic trigger was only introduced in doc-base 0.10.0, and squeeze
> > has 0.9.5.

> > I'm not sure if the "right" change for libuuid-perl is a conflict or a
> > pre-dependency, and I'm not quite sure it even needs to go in Debian
> > (as opposed to being a Ubuntu specific fix.) Will need to think about
> > that a bit.
 
> This seems sane to me.

Thanks, cloning now.

As this is a one time thing, I don't think a pre-dependency is the right fix.

I think the somewhat ugly
 Conflicts: doc-base (== 0.10.0), doc-base (== 0.10.1), doc-base (== 0.10.2)
would be the best solution here, but other ideas are welcome.

Given this was only a transient sid problem in Debian, I'm leaving it
up to libuuid-perl maintainers (= other pkg-perl folks) to decide if
they want to include the above at all. I doubt there are many Debian
users that would be affected anymore, but it might be worth it just to
minimize the Ubuntu diffs.

Another avenue would be that Martin try this out in Ubuntu and we merge
it later?
-- 
Niko Tyni   ntyni@debian.org




Removed tag(s) patch. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Mon, 19 Dec 2011 14:42:05 GMT) Full text and rfc822 format available.

Bug 648954 cloned as bug 652638. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Mon, 19 Dec 2011 14:42:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions perl/5.14.2-6. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Mon, 19 Dec 2011 14:42:13 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to Dominic Hargreaves <dom@earth.li> Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Mon, 19 Dec 2011 14:42:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#648954; Package perl. (Mon, 19 Dec 2011 15:27:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Mon, 19 Dec 2011 15:27:14 GMT) Full text and rfc822 format available.

Message #51 received at 648954@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Niko Tyni <ntyni@debian.org>
Cc: Dominic Hargreaves <dom@earth.li>, 648954@bugs.debian.org, libuuid-perl@packages.debian.org
Subject: Re: Bug#648954: [patch] doc-base Conflicts are insufficient
Date: Mon, 19 Dec 2011 16:23:26 +0100
Hello Niko,

Niko Tyni [2011-12-19 16:39 +0200]:
> clone 648954 -1
> retitle -1 libuuid-perl: conflict with older doc-base versions to fix upgrade problems

Ah, thanks!

> I think the somewhat ugly
>  Conflicts: doc-base (== 0.10.0), doc-base (== 0.10.1), doc-base (== 0.10.2)
> would be the best solution here, but other ideas are welcome.

Hm, I would just have gone with

  Conflicts: doc-base (<= 0.10.3)
  
which will also cover backports, or any other weird version in between
that people might have created. It might be slightly stronger than
necessary, but we already have a whole lot of exactly this conflict on
other packages.

> Another avenue would be that Martin try this out in Ubuntu and we merge
> it later?

Yep, my idea exactly. I'll upload that to libuuid-perl now and will
then see if any more reports come in.

Thanks,

Martin
-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 Jan 2012 07:38:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:02:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.